Knowledgebase

Search:     Advanced search

TestTrack and Surround SCM Integration Compatibility Issues

Article ID: 532  |  Last updated: 05 May, 2015

Problem

The TestTrack Client crashes or returns the following error when you attempt to use the Surround SCM integration:

  • Linux or Mac OS X: 'The provider Dll could not be loaded.'
  • Windows: 'To use Surround SCM with TestTrack, you must download and install a Surround SCM patch.'

Cause

Surround SCM and TestTrack are built with Qt. The Qt libraries are incompatible across some Qt versions, which prevents the integration from working. TestTrack requires an updated Surround SCM integration DLL so both products use the same version of the Qt library.

Solution

Use the solution that corresponds to the TestTrack and Surround SCM versions you are using.

TestTrack 7.5.x or 7.6.x with Surround SCM 4.0.0 - 4.0.2

Affects Windows only. Upgrade to Surround SCM 4.0.3 or later.

TestTrack 7.5.x with Surround SCM 5.0.x

Affects Linux and Mac OS X. Upgrade to TestTrack 7.6.x or download and install the Surround SCM 5.0.x integration patch on the client computer.

Downloads:

Note: If you upgrade TestTrack after installing the integration patch, you must reinstall the Surround SCM Client.

TestTrack 7.5.x with Surround SCM 2008.0.0 - 2008.0.1

Affects Windows only. Upgrade to Surround SCM 2008.0.2 or later.

TestTrack 7.6.x and Surround SCM 4.1.x

Affects Linux and Mac OS X. Upgrade to Surround SCM 5.0.x or download and install the Surround SCM 4.1.x integration patch on the client computer.

Downloads:

TestTrack 7.6.x and Surround SCM 2008.0.0 - 2008.0.1

Affects all platforms. Upgrade to TestTrack 2008 or do the following:

  • Windows—Upgrade to Surround SCM 2008.0.2 or later.
  • Linux or Mac OS XDownload and install the Surround SCM 2008 integration patch on the client computer.

Downloads:

Note: Refer to the read me file included in the download for installation instructions.

TestTrack 2008.x and Surround SCM 5.0.x

Affects all platforms. Upgrade to Surround SCM 2008 or download and install the Surround SCM 5.0.x integration patch on the client computer.

Downloads:

Note: Refer to the read me file included in the download for installation instructions.

TestTrack 2008.1.x or later and Surround SCM 2008.0.x

Affects Mac OS X and Windows.

Article ID: 532  |   Last updated: 05 May, 2015
Tags
patch provider DLL

Also listed in
folder Surround SCM -> Integrations

Prev   Next
TestTrack Eclipse Integration     TestTrack Visual Studio Integration